#pragma once
#include "SDL2/SDL.h"
#include "DrawManager.h"
#include "InputManager.h"
#include "MusicManager.h"
#include "GameInfo.h"

class MenuController
{
public:
	MenuController(DrawManager *p_drawManager, InputManager *p_inputManager);
	~MenuController(void);

	bool Init();
	void Go(GameInfo *gameInfo);
	void Finalize(void);

private:
	DrawManager *drawManager;
	InputManager *inputManager;

	SDL_Surface *fondo;
	SDL_Surface *cursor;
};
